commit ec3440ea602aa2c8fc826adfd921506aec60eb7d
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Sat Dec 10 15:18:28 2016 +0200

    Geode 2.11.19
    
    This release restores compatibility with xserver-1.19 and newer.
    
    VALIDATION PLATFORM
     * Debian (X server 1.19.0) on FIC ION603A (Geode LX800).
    
    Signed-off-by: Martin-Éric Racine <martin-eric.racine@iki.fi>

commit 4d27afae183123ad947416e98cb6cb62e20aeebe
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 19 10:03:56 2016 -0400

    Adapt Block/WakeupHandler signature for ABI 23
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 9b04a4df4239e7e9414402f8522cb31728481a27
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Wed Feb 3 20:38:37 2016 +0200

    Geode 2.11.18
    
    This release restores compatibility with xserver-1.18 and newer.
    
    Conditional support for the Geode MSR device on FreeBSD is merged.
    
    GX acceleration and compositing is upgraded to current standards.
    
    LX switching to VT and back is restored. Farewell blanks screens!
    
    VALIDATION PLATFORM
     * Debian (X server 1.18.0) on FIC ION603A (Geode LX800).
    
    Signed-off-by: Martin-Éric Racine <martin-eric.racine@iki.fi>

commit cecdf5085739649dc3b52e343c246f6c3c1dda4d
Author: Connor Behan <connor.behan@gmail.com>
Date:   Tue Dec 1 18:45:59 2015 -0500

    LX: Restore old VT switch code
    
    Calls for enabling and disabling outputs were removed from the VT switch
    routine when RandR support was added. Presumably, this is because the
    server already sets DPMS properly on a VT switch. However, DDX code can
    undo what the server does so it seems best to keep the explicit calls.
    
    Closes: X.Org Bugzilla #80825
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit 44c508916af7a6e59d898829faaec599dbd51f4a
Author: Arrigo Marchiori <ardovm@yahoo.it>
Date:   Mon Sep 28 13:52:34 2015 +0300

    Geode MSR support for FreeBSD
    
    The file src/geode_msr.c does not compile under FreeBSD.
    The attached patch allows to compile the driver.
    
    Closes: Free Desktop Bug #92158
    
    Signed-off-by: Arrigo Marchiori <ardovm@yahoo.it>

commit aecb0803d318e8100d6024f34a96df225ff738aa
Author: Connor Behan <connor.behan@gmail.com>
Date:   Thu Aug 27 01:09:53 2015 -0400

    Fix GX UploadToScreen and DownloadFromScreen
    
    Even though most embedded drivers don't do it, there could be a slight
    advantage on a single arch from reimplementing unaccelerated UTS and DFS
    since the xserver avoids assembly. This does not remove them, it merely
    updates them to work with the latest EXA.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit d0d07108b7db4536ec12a45d5b7633b1abb22f60
Author: Connor Behan <connor.behan@gmail.com>
Date:   Tue Aug 25 23:32:29 2015 -0400

    Fix GX composite hooks
    
    These need to fallback for solid and gradient pictures.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit fc5d97e06c922de929017f676a58adf741770bc7
Author: Matthew Green <mrg@NetBSD.org>
Date:   Mon Jul 20 10:37:16 2015 +0200

    Properly hide config.h inclusion inside HAVE_CONFIG_H.
    
    v2: make config.h inclusion the first one.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Emil Velikov <emil.l.velikov@gmail.com>

commit 97e53b5896752a7e504d0159a7009418e2510521
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Wed May 20 11:24:30 2015 +0300

    Geode 2.11.17
    
    This release restores compatibility with xserver-1.17.
    
    Support for the Geode MSR device on OpenBSD is merged.
    
    VALIDATION PLATFORM
     * Debian (X server 1.17.1) on FIC ION603A (Geode LX800).
    
    Signed-off-by: Martin-Éric Racine <martin-eric.racine@iki.fi>

commit f98301ad73b84915358ce6f6d2522b36c4b603d9
Author: Maarten Lankhorst <maarten.lankhorst@ubuntu.com>
Date:   Thu Mar 12 10:50:57 2015 +0100

    Fix building Geode against xserver 1.17
    
    The xf86MapVidMem API is gone. Use pciaccess calls where applicable and mmap for XpressROMPtr.
    
    Signed-off-by: Maarten Lankhorst <maarten.lankhorst@ubuntu.com>

commit 621d946e56efac2c779b83b1a5c6b645169c4ebd
Author: Brian A. Lloyd <brian.lloyd@familyhonor.net>
Date:   Wed Oct 1 12:35:18 2014 +0300

    Add config.h include to src/lx_memory.c
    
    The src/lx_memory.c file uses the xf86.h header file.  This file must have
    HAVE_STRNDUP defined before calling it when the building platform has a strndup
    function.  When using config.h, this file doesn't have that define and so fails
    to compile.
    
    The attached patch adds the conditional config.h to this file so it may compile
    on the affected platforms.
    
    The patch is trivial and may be included and used under whatever licensing
    desired.
    
    Closes: Free Desktop Bug #84541
    
    Signed-off-by: Brian A. Lloyd <brian.lloyd@familyhonor.net>

commit efb42fc933a4198645691a94fe350f361cbf55a8
Author: Marc Balmer <mbalmer@netbsd.org>
Date:   Thu Sep 25 16:11:56 2014 +0300

    Geode MSR support for OpenBSD
    
    This patch adds conditional support for the Geode MSR device on OpenBSD.
    
    Signed-off-by: Marc Balmer <mbalmer@netbsd.org>
    Signed-off-by: Matthieu Herrb <matthieu@openbsd.org>

commit 6ec1e2df7aeb78332fee0dd90900906e58aa790b
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Thu Jul 17 03:28:26 2014 +0300

    Geode 2.11.16
    
    This release restores compatibility with xserver-1.15 and newer
    by adding a missing xf86Modes.h include to src/geode_dcon.c
    
    VALIDATION PLATFORM
     * Debian (X server 1.15.99.904) on FIC ION603A (Geode LX800).
    
    Signed-off-by: Martin-Éric Racine <martin-eric.racine@iki.fi>

commit 70b131d09b7d21df1d1ffcf6a4e50d3086924228
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Sat Feb 8 14:58:26 2014 +0200

    No need to conditionalize the xf86Modes.h include.

commit 9707a7a5eac25536a5150fc12d9ace52420b4d36
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Sat Feb 8 13:27:11 2014 +0200

    Added conditional include to fix FTBFS on xserver 1.15 and up.
    
    Thanks to Maarten Lankhorst for the fix.

commit c2d956a1e9bba7fa7877544f8e036ae78faa441f
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Wed Oct 9 14:48:45 2013 +0300

    Geode 2.11.15
    
    This release restores compatibility with xserver-1.14 by removing
    mibstore.h includes and miInitializeBackingStore() functions.
    Since Nov.2010 (commit c4c4676) the only purpose of mibstore.h
    was to define an empty function for backward compatibility.
    
    Build helpers migrate to contemporary [build-aux] and [m4].
    
    VALIDATION PLATFORM
     * Debian (X server 1.14.3) on FIC ION603A (Geode LX800).
    
    Signed-off-by: Martin-Éric Racine <martin-eric.racine@iki.fi>

commit 69a8eedfe62d0df9037d86b47f2a6e34ba3c40a8
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Thu Oct 3 01:29:35 2013 +0300

    Migrate AC_CONFIG_AUX_DIR to [build-aux]
    
    Signed-off-by: Martin-Éric Racine <martin-eric.racine@iki.fi>

commit b57f56b311d7f9702459f2bfd5330141f6b2bcff
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Wed Oct 2 22:39:49 2013 +0300

    Fix whitespace in AC_INIT
    
    Signed-off-by: Martin-Éric Racine <martin-eric.racine@iki.fi>

commit 7d9f923e15eca509cd61f4f01ebbb0b2bf49d73c
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Wed Oct 2 22:35:12 2013 +0300

    Bump AC_PREREQ to 2.60 as suggested by Gaetan Nadon
    
    Signed-off-by: Martin-Éric Racine <martin-eric.racine@iki.fi>

commit cb36826843017583aecbc77c4dbeb8ec5198c016
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Wed Oct 2 22:18:42 2013 +0300

    libtool upgrade to include m4 directory
    
    Signed-off-by: Martin-Éric Racine <martin-eric.racine@iki.fi>

commit ed0b153f320a95a11bd561726d2405823573500e
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jan 9 22:16:26 2013 -0500

    Remove mibstore.h
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit a96a4e28a079499b18b441f0b6c05c50dd86ead6
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Sun Nov 25 11:12:58 2012 +0200

    Geode 2.11.14
    
    This release restores compatibility with xserver-1.13, cairo-1.12 and gtk-3:
    
    * Fix building with new xserver-1.13 (Maarten Lankhorst)
      + Implement xserver-1.13 API changes.
      + Make XAA support optional (dropped as of xserver-1.13).
    * Implement solid source pictures acceleration for cairo-1.12 (Mart Raudsepp)
    * Fix EXA Composite implementation in the LX component (Mart Raudsepp)
      Restores icon and text rendering for GNOME 3 fallback mode.
    
    This release also improves compatibility with non-Linux/non-32-bit hardware:
    * Fix compiling on 64-bit hosts (Dave Airlie)
    * Fix compiling on non-Linux platforms (Martin-Éric Racine)
    
    VALIDATION PLATFORMS
     * Debian (X server 1.7.7) on Artec DBE61.
     * Debian (X server 1.12.14) on FIC ION603A.
     * Fedora (X server 1.13) on OLPC XO-1.

commit cec433840fde8be3ee6b8ce916b416f44d15a794
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Sat Nov 24 12:02:32 2012 +0200

    pre-release whitespace cleanup using ../modular/x-indent-all.sh

commit 4e6f1e68344d52cd80f85843a2a9830add042a34
Author: Mart Raudsepp <leio@gentoo.org>
Date:   Tue Nov 20 09:14:31 2012 +0200

    NEWS: Release notes for 2.11.14

commit a02c099af60c96b440edcc2b0afbd0be0b349ee8
Author: Mart Raudsepp <leio@gentoo.org>
Date:   Tue Nov 20 08:30:13 2012 +0200

    NEWS: Fix placement order of 2.11.10 NEWS compared to others

commit 45ca66ee73bfe04a7ac17e2086f2e5d20bfa93e9
Author: Mart Raudsepp <leio@gentoo.org>
Date:   Sat Nov 17 23:51:39 2012 +0200

    lx_exa: Improvements to negative srcX/Y PictOpSrc/Over operations
    
    Adds handling of negative srcX or srcY coordinates, which is used by gtk3
    GtkTrayIcon implementation via cairo for centering icons on top of the
    destination area.
    
    For now just handle the drawing within source pixmap bounds in these
    cases, as full handling of the out of bound zero-vector for PictOpSrc
    seems to require bigger refactoring, which is not suitable for the
    impending stable release.
    The approach implemented here should result in correct rendering for
    PictOpOver (as out of bounds with non-repeat mode ends up meaning
    transparency). For PictOpSrc no black borders are rendered where
    appropriate, but before this approach, no source pixmap would even be
    rendered at all, so it should be a net improvement for the upcoming
    release, while fixing the gtk3 icons in GNOME3 fallback.
    
    The completely out of bounds special case check didn't work correctly for
    negative srcX or srcY because exaScratch.srcWidth/Height are unsigned
    types, so the negative srcX or srcY got casted to unsigned, which resulted
    in a big number, so srcX >= 0 was always true (but GCC managed to not warn
    of the implicit signedness cast).
    
    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=51360

commit a46486b05f4674fc17f36947c97bc281c1d00d26
Author: Mart Raudsepp <leio@gentoo.org>
Date:   Tue Oct 23 11:40:11 2012 +0300

    lx_exa: Implement solid pictures support as source with a mask
    
    cairo-1.12 uses solid pictures instead of 1x1R pixmaps in glyph rendering
    paths, so accelerate it.
    In addition to acceleration, it avoids a bug in xserver-1.13.0 and earlier
    which causes visible misrendering for fallback path, making cairo-1.12 a
    viable and desired choice on GeodeLX systems.
    Quick benchmarking suggests a 4-12% win in cairo-traces.

commit 85f25321661b24324d9e8fb6415abc0fda12436d
Author: Mart Raudsepp <leio@gentoo.org>
Date:   Tue Oct 23 11:35:18 2012 +0300

    lx_exa: Remove unused srcPixmap member from exaScratch
    
    Became redundant with commit 32a927b8e6

commit 5cfd7591b2f6ccb57d698738faa3fa800088f972
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Tue Oct 2 18:05:55 2012 +0300

    Clarified the copyright and license of src/geode_msr.c src/geode_blend.h
    
    Debian's 'licensecheck' tool showed these two files to have unspecified
    copyright and license. Git log clarifies that these had been created by
    Jordan Crouse when he was still at AMD, so their stock copyright notice
    was copied as-is from other files in src/

commit 65d9954ef61b7e22252d38cc81db710a8ec0b22b
Author: Mart Raudsepp <leio@gentoo.org>
Date:   Tue Sep 18 08:43:51 2012 +0300

    lx_exa: Downgrade src/dst format warnings to fallbacks to not spam the log
    
    We don't support 10bit wide color channels, BGRA and other types, which mainly
    cause these fallbacks. The ErrorF's were unwarranted, these are just fallbacks
    as any other, so don't output these warnings without GEODE_TRACE_FALL.

commit 5f7797cadeaf8a28612b9d0c394f8507eb687c34
Author: Mart Raudsepp <leio@gentoo.org>
Date:   Tue Sep 18 08:41:53 2012 +0300

    lx_exa: Fix crash with solid fills on PictOpAdd operations
    
    lx_check_composite has many special checks for PictOpAdd to return
    successfully early, but these were done even earlier than the check
    for solid fills. This resulted in lx_prepare_composite assuming
    the source pixmap exists, which is not the case with solid fills.
    Move the solid fill fallback checks before the others, so we are
    guaranteed to always have a source pixmap in PrepareComposite and
    Composite and don't crash trying to access a NULL pointer.
    
    Also move up the mask check to do less checks in the PictOpAdd logic.

commit 4a20e8ac285cfe8a033f771ac8df25f873db9908
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Wed Aug 29 12:53:00 2012 +0300

    NEWS: add information about releases since 2.11.9
    
    ...and flip the location of the recent src/Makefile.am addition.

commit 0e64b1252c51e380f72f6ff0bdb6836a6e27071d
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Thu Aug 9 18:59:03 2012 +0300

    src/Makefile.am: added missing compat-api.h to geode_drv_la_SOURCES

commit 86a879a1ec9771c45b0bffb18f7fd13854b1e84a
Author: Mart Raudsepp <leio@gentoo.org>
Date:   Thu Jul 26 10:28:22 2012 +0300

    configure: Make the new XAA checks work, and other improvements
    
    commit 68646c31 added XAA checks were too early, when XORG_CFLAGS isn't
    declared yet, so it got never enabled. Move the block after xorg-server
    pkg-config checks, which declare XORG_CFLAGS.
    Change configure to fail if --enable-xaa is explicitly requested, but
    XAA headers are not found.
    Other tweaks for more autoconf-ism.
    
    Signed-off-by: Mart Raudsepp <leio@gentoo.org>

commit a83fcb6f84995dc50b8adffc27e264a663fbd606
Author: Maarten Lankhorst <maarten.lankhorst@canonical.com>
Date:   Sat Jul 21 12:36:51 2012 +0200

    Initial stab at converting geode to new X1.13 API
    
    Preparing to compile geode on X 1.13
    All compiler errors are gone as far as I can tell,
    but I lack the hardware to verify it works as well.

commit 68646c3119a69a8391a49f2d565672d73829e2c9
Author: Maarten Lankhorst <maarten.lankhorst@canonical.com>
Date:   Sat Jul 21 12:36:17 2012 +0200

    Allow building on Xservers without XAA

commit cb0e67bbc019b170194b3b51e2a47fca8d3aeac1
Author: Mart Raudsepp <leio@gentoo.org>
Date:   Wed Jul 25 07:23:35 2012 +0300

    lx_exa: Fix EXA minor version checks
    
    The old version of just checking for EXA_MINOR_VERSION >= 2 would
    stop working if ever EXA gets a new major version, as minor would be
    reset to 0, and start unexpectedly working again when minor gets bumped
    gradually up to 2 again.
    Other drivers also assume that a new major would still have the vfunc we use.

commit dc0dbd41745f99dcd9ca3fda05acf5a5f11a6960
Author: Mart Raudsepp <leio@gentoo.org>
Date:   Wed Jul 25 04:44:18 2012 +0300

    Fix an unused variable warning in geode_driver.c
    
    geode_driver.c:372:9: warning: variable 'cpu_detected' set but not used [-Wunused-but-set-variable]
    Was used only in a DEBUGMSG, which has since been made not do anything ever, so just kill
    it completely, as the debug message wasn't useful anyway.

commit 1ed67d70ac9d3afd9b372c311aaf7b77e38b3e21
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Wed Jul 11 15:50:28 2012 +0300

    Whitespace cleanup using ../modular/x-indent.sh

commit b9afafec0a26eaec49e7f0ff08297c2bb795a9c2
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Apr 3 11:08:09 2012 +0100

    geode: fix compile on x86-64 in tinderbox.
    
    geode_ddc.c: In function 'GeodeI2CInit':
    geode_ddc.c:158: error: cast to pointer from integer of different size
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 048c67d6f351083741ef68e94a278a445c16436d
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Mon Jan 2 17:49:10 2012 +0200

    z4l.c: drop unnecessary #include linux/types.h
    
    On hybrid platforms, such as Debian GNU/KFreeBSD, that support V4L2
    and yet without providing the full complement of Linux headers, ZTV
    fails to compile because of this missing header.
    
    Given how removing this header does not adversely affect compiling,
    plus it might improve portability, we went ahead and removed it.
    
    Nonetheless, as observed by Gaetan Nadon, z4l.c includes code that
    explicitly disables the module on any OS other than Linux:
    
        LoaderGetOS(&osname, NULL, NULL, NULL);
    
        if (osname == NULL || strcmp(osname, "linux") != 0) {
        if (errmaj)
            *errmaj = LDR_BADOS;
        if (errmin)
            *errmin = 0;
    
        return NULL;
        }
    
    Still, in the interest of OS neutrality, we decided to leave recent
    autoconf magic in place and to let OS vendors figure out how to get
    the module loaded on non-Linux OS themselves. Patches are welcome.
    
    Signed-off-by: Martin-Éric Racine <martin-eric.racine@iki.fi>

commit e420d7956afceeb41f20179cedc28d46aebdb29f
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Mon Dec 26 22:13:22 2011 +0200

    Geode 2.11.13
    
    This release mainly features a complete overhaul of the building scripts plus
    a cleanup of deprecated macros. The key benefit is that this Geode driver can
    finally build on FreeBSD and on other platforms not offering V4L2 support and
    that it can also build on a 64-bit host using its 32-bit personality.
    
    Support for the Video Input Port (VIP) feature of the Geode LX found in 'ztv'
    is now documented and the source code saw the removal of deprecated Linux 2.4
    backward compatibility code. Compiling is skipped on platforms without V4L2.
    
    Configuration for laptops featuring WXGA resolutions is finally documented.
    
    Setting the GEODE_TRACE_FALL macro now enables composite operation tracing on
    this driver. This can be used to profile the performance during development.
    
    Fixes to keep this driver compilable on recent X servers are also included.
    
    VALIDATION PLATFORMS
    * Debian/stable (X server 1.7.7) on Artec DBE61 and Hercules EC-800.
    * Ubuntu/Precise (X server 1.10.4) on FIC ION603A.
    
    Signed-off-by: Martin-Éric Racine <martin-eric.racine@iki.fi>

commit 7e7fe26882dada5878d5450e64c043ba7b0737fd
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Sun Dec 25 21:43:40 2011 +0200

    Fix lx_display.c:360:9: warning: ISO C90 forbids mixed declarations and code

commit 515d232162c8ea2c5ecabf12b88b0bf4eb5102e7
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:47:38 2011 -0500

    Fix for new vgaHW ABI
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 78052e0d3e28c7e6e08666d9ed2bcc64f5e93540
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Nov 29 12:02:32 2011 -0500

    DCONDPMSSet: handle error return code on "write" to avoid a warning
    
    The author of the write() system call has deemed important for the caller
    to check the return code. If not, the compiler issues a warning.
    
    The patch handles a bad return code from write() just in the same way
    as the code does for the open() calls.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit db7155395e794eb276f853c7642f62727e29a0b9
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Tue Nov 29 23:49:06 2011 +0200

    README: added example of ZTV loading to EC800 xorg.conf sample.

commit d072870e20c360fb0ec1baefc6abcb11a6d4687c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Nov 29 14:20:17 2011 -0500

    README: do not suggest compiling with xserver older than 1.3
    
    This was done at one point in time by some drivers (3 that I remember)
    but the workarounds all have been removed since. The tarballs created
    by those drivers picked-up whatever code happened to be on the
    developer disk and was not in git. The code was not maintained
    and in fact did not work thereafter.
    
    http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/configure.ac
    ?id=84f69081abaeef8b05cafb64d3102eb2abdf9a8e
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2890f6c431a6de0726c6c53a800074f95d71294e
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Thu Nov 24 21:47:35 2011 +0200

    README: added info about how to calculate arbitrary laptop modelines.

commit e520739e9ce18a48df7d873de16022aec21d7d3c
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Mon Nov 21 22:47:23 2011 +0200

    README: whitespace cleanup.

commit edb6a6380e0db6be06fe89e7d73dedbca945550f
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Mon Nov 21 22:42:41 2011 +0200

    README: harmonize x.org versus freedesktop.org as much as possible.

commit 308430e8898e29ae111bf4f552f4d7554b96fda2
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Mon Nov 21 22:34:26 2011 +0200

    README: add info about the Geode mailing list and Bugzilla component.

commit 1108f9cfac5b78fc9660174aa4df592ecd87d287
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 14 14:52:21 2011 -0500

    Remove unrequired large file descriptor partial support
    
    The LFS "transitional extension" API is deprecated and is not available on FreeBSD.
    Large file support (64 bit) is not required on the geode 32 bit only architecture.
    
    There are some hints that the LFS transional extension API were not used
    correclty. The variable holding the value is held in an unsigned long rather
    than in off_t. The msr open call did not use the O_LARGEFILE flag and did not
    check for EOVERFLOW.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0daee9eb57c826da120edf35c50e8947a43f19b2
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Mon Nov 21 10:54:10 2011 +0200

    README: a little bit of proofreading wouldn't hurt now, would it?

commit d1c40f2d5baa2d964499412c7f1c443c9ee63626
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Mon Nov 21 10:24:29 2011 +0200

    README: added a sample xorg.conf for 1024x600 and 800x480 laptops.

commit 8fc372b4e239005dda60f45737468f1e82571457
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 20 15:58:03 2011 -0500

    config: fix Autoconf warnings and improve comments
    
    These changes have been done in all other video drivers.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 725d6ddc0b0888af9b033ccb6ce88c9800a791f9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 20 15:35:29 2011 -0500

    config: The compiler version to use is now set in XORG_DEFAULT_OPTIONS
    
    In this case "now" means a couple of years ago. All of Xorg is compiled
    with AC_PROG_CC_C99. It shows up in config.log as CC='gcc -std=gnu99'.
    
    The removed statement was resetting the compiler to C89 as it comes
    after XORG_DEFAULT_OPTIONS.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 40aae069bb15cda123f5e08b757ca93166e62db8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Nov 20 15:24:00 2011 -0500

    config: remove a few dead/obsolete lines of code
    
    HAVE_XEXTPROTO_71 not used in Makefile.
    AC_HEADER_STD is very obsolete.
    AC_SUBST([XORG_CFLAGS]) is redundant.
    DRIVER_NAME is correctly no longer used.
    AC_SUBST([moduledir]) has just been moved up.
    
    Any erroneously removed statements above would result
    in a configuration failure.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fa0e88bfe00baa648ab3b1184b56f7dc5536aa21
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Nov 19 15:33:33 2011 -0500

    Move back ztv with geode driver
    
    Now we have a clean separation between CPP flags and C Flags
    Only the C Flags apply to both geode and ztv driver, however
    it is not worth doing a per target compilation.
    
    Should some flags become mutually exclusive and if we want to have
    both target in the same makefile, add the incompatible flag
    on the appropriate target, example:
    
    geode_drv_la_CFLAGS = $(AM_CFLAGS) -newCFlag
    and/or
    geode_drv_la_CPPFLAGS = $(AM_CPPFLAGS) -newCPPFlag
    
    Note that both AM_CFLAGS and AM_CPPFLAGS are picked-up by both
    geode and ztv driver target.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 03529b7b35fa8d7b5bac277d6abe1caf0557301a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Nov 19 13:22:32 2011 -0500

    Separate compiler from pre-processor options
    
    Clean-up what goes in AM_CFLAGS and AM_CPPFLAGS
    Use more descriptive names such that comments are not needed.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ac99bf2c5cdf86f039a290397614ca042a56c8db
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 18 16:36:12 2011 -0500

    Detect 32bit support on 64bit OS and compile with -m32 if found
    
    For gcc compiler only at the moment.
    The configuration reports if support is found or not, e.g.:
    
       checking if gcc supports the -m32 Intel/AMD option... yes
    
    The configuration C test relies on #include unistd.h which includes
    features.h which includes gnu/stubs.h which includes gnu/stubs-32.h
    which is missing on 64 bit system without the 32 bit library support.
    
    Tested on x86_64 AMD64 CPU with/without libc6-dev-i386 which provides
    32 bit support. Remains to be tested on Geode and FreeBSD 32/64 bit.
    
    The configuration does not attempt to decide if building should proceed
    or be aborted. If no 32 bit support then the build will die in the
    assembly code as it always did before.
    
    The variable M32_CFLAGS provides the flag for the makefiles.
    The variable names and organization is subject to change.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3021c6df08004ec9ed846fec4000d798148eeb0e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 17 19:47:10 2011 -0500

    geode source: streamline whitespace and sort alphabetically
    
    No functional changes.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c1993fa8e5bf07bbd43b09ae2ec27c287725d81e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 17 19:21:01 2011 -0500

    Remove -I linux_v26 as the directory does not exist
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4eaba919fccc7618aee0b2f58294e460640bedb9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 17 12:32:55 2011 -0500

    Remove unused and misleading I386ARCH configuration code
    
    The AM_CONDITIONAL I386ARCH is not used.
    
    The AC_CHECK_DECLS is misleading as it suggests there could be some i*86
    system with a 64 bit architecture which is incorrect.
    It also provides false results on 64 bit computer.
    
    The generated HAVE_DECL_XXX are not used anyway.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 65275e62415ded849f9986a36ad55ca3c96dc331
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 17 12:20:13 2011 -0500

    Remove -DPNL_SUP for the ztv driver
    
    Only the gx driver provide such a panel.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 60c3f5f7e9482d29f043504860319aeead7b9a69
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 17 09:32:24 2011 -0500

    Remove duplicate warning variable and werror option
    
    Use already existing:
      --enable-strict-compilation
                              Enable all warnings from compiler and make them
                              errors (default: disabled)
    which, byt the way was broken as it was not implemented in geode.
    
    Use already existing CWARNINGFLAGS variable, so there is no need
    to define GCC_WARNINGS.
    
    Both come from util-macros version 1.4 or later.
    http://cgit.freedesktop.org/xorg/util/macros/tree/xorg-macros.m4.in
    ?id=03b04a6b5d61aafbd2705f7d29e58e0c92553a4a
    
    If you configure with a later version of util-macros you may see new
    warnings appear as additional flags have been added over the years.
    
    You get better support for platforms/compiler differences.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5f228208cc65348e35aa24b6cddae1df19b67fa5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Nov 16 20:14:08 2011 -0500

    Remove unrequired .s assembly files automake support
    
    Only the suffixes .s, .S, and .sx are recognized by automake
    as being files containing assembly code.
    
    http://www.gnu.org/software/automake/manual/automake.html#Assembly-Support
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fc9957114875edb94cba89a4f4f0e023f2c98bfb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Nov 16 19:47:08 2011 -0500

    Remove ztv LINUX_2_6 switch and dead code
    
    The makefile defines LINUX_2_6 so the "else" code is dead.
    The port from kernel 2.4 is complete.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 100576b3a0a38da7a957969745b2cf087929c478
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Nov 16 19:15:17 2011 -0500

    Remove broken duplicate visibility configure option
    
    This was added by commit f762b456 in 2007 and has been since implemented
    in the server which returns it in XORG_CFLAGS
    
    pkg-config --cflags xorg-server
    
    The server also takes care of platforms and compilers being used.
    Currently the visibility is set twice and even if you disable it,
    it is still passed through XORG_CFLAGS.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 970d142abe2fa09b294dd2bfa860fe3bbcaa8c68
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Nov 16 17:01:48 2011 -0500

    Remove unused LINUX_2_6 macro from geode driver makefile
    
    It is used in ztv but not geode driver.
    In the wake of more platforms other than linux, might as well
    remove any source of confusion.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 65625eac28af7cf3164e5560478cd18aaa0ac33e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Nov 16 15:20:07 2011 -0500

    Remove HAVE__GX HAVE_LX and OPT_ACCEL from ztv build
    
    These macros are not used in z4l.c.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit dd8eadc53732ed2929e38c565240147165767625
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Nov 16 15:11:18 2011 -0500

    Remove no longer used AMD_V4L2_VIDEO from makefiles
    
    This macro has been removed every where from source code.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fc19e7d2bd256663b4a731661a35abcf435eaf18
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Nov 16 14:07:10 2011 -0500

    Add a configure option to enable/disable building the ztv driver
    
    Even when V4L2 is available there are always reasons why distros
    may not want to build the driver.
    
    This patch uses a common idiom in xorg.
    When no configure option is specified ztv is built iff v4l2 is detected (auto).
    When user issues --disable-ztv, the ztv driver is not built (no)
    When user issues --enable-ztv, the ztv driver is built (yes) if v4l2 is detected
    but the configuration fails if v4l2 is missing. Distros do not want silent
    failures when a feature is explicitly requested but cannot be built.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 23b85b3fcd1439561f0693755a31f7fded50741b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Nov 15 19:36:17 2011 -0500

    Add conditional build for ztv
    
    Detect the presence of Video4Linux V2 and do not build if missing.
    
    The geode driver is no longer Linux only.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e4b771572d7b0797a794340ab8fb8b1db91a5eb1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Nov 15 18:02:34 2011 -0500

    Move ztv driver to it's own directory
    
    The convention is to have the video driver (geode) in the src subdir
    and any other targets (utils, apps, other drivers) in their own
    directory. It makes it much simpler to right a correct makefile
    and to set conditional compile.
    
    This highlighted a few things to fix. For now, the directory includes
    have not been copied as they are required. The AM_CCASFLAGS is not required
    either as there is no assembler.
    
    Other than that, the gcc command issued has no differences. Other unrequired
    defines could be removed later.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2b3767b9e424ce371c342c9c9a2f2ae1f61df1fd
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Sat Nov 19 02:29:20 2011 +0200

    README: emphasize that "ztv" is the name of that VIP driver.

commit aa7cd847d821ed639f7d18a5114a13c324f6f227
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Sat Nov 19 02:17:22 2011 +0200

    README: properly call the LX's video input port feature "VIP"

commit 9bbc7bc49f1d04d41d7e1750b81cfce45e4ddf42
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Thu Nov 17 02:15:27 2011 +0200

    Added info about 'ztv' a.k.a. the V4L2 driver for LX in README.

commit 9e8a766cfb458cdc791f4c4a932fe51638a8bc73
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Nov 15 16:55:15 2011 -0500

    Add gx_randr.c Copyright statement to COPYING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b724ff4045994fff721db4ab67f8aa418cc4f707
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Mon Nov 14 08:44:32 2011 +0200

    Revert "Only enable z4l.c on Linux" until we have a consensus.

commit 587d4e40e58e70649968261f73b7fb2078349f4f
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Sun Nov 13 15:48:29 2011 +0200

    Revised BSD check in geode_msr.c

commit ee52d73fd2c68740b1ff3cdb5b1bf2a6d941090d
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Sun Nov 13 03:40:01 2011 +0200

    Move the z4l.c test to src/Makefile.am where it should be.

commit d193a42b3596ceb9dfaa66af71edd1f15ecc75bd
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Sun Nov 13 03:23:21 2011 +0200

    Added two #ifdef to enable building on FreeBSD.

commit ee6296ecb8bf5c9b5e7fa3eade5fa45245b66d62
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Sun Nov 13 03:14:51 2011 +0200

    Whitespace cleanup.

commit f6745f544feeb7443405f4b87043be9b721236b5
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Sun Nov 13 03:10:01 2011 +0200

    Only enable z4l.c on Linux.

commit f15f4da59a80533f3864aa6c54b4471e272d5c80
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Wed Apr 6 22:13:09 2011 +0300

    Added info about the Geode developers' IRC channel in README.

commit 3c1375afdb9e1be524adae98c3713397d50e3a3e
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Sun Mar 13 16:17:06 2011 +0200

    Proofread and restructured the README for clarity.

commit 9d0986232cb417f41aee934b655cc0bbbae5f99b
Author: Martin-Éric Racine <martin-eric.racine@iki.fi>
Date:   Sun Mar 13 15:21:31 2011 +0200

    Added README section about supported resolutions.
    
    Inverted two FAQ sections so as to bring the answer about WXGA
    right below this new supported resolutions section.

